# DART API Controller

A Python package for collecting and processing corporate disclosure information using DART (Data Analysis, Retrieval and Transfer) API provided by the Financial Supervisory Service of South Korea.

## Key Features

### 1. DART API Integration

- Corporate code management
- Disclosure information collection
- XML response parsing

### 2. Data Preprocessing

- Corporate information normalization
- Financial statement data cleaning
- Disclosure data structuring

### 3. Data Storage and Management

- AWS S3 integration
- Local file system management
- Data version control

### 4. GPT-based Data Analysis

- Disclosure content analysis
- Text data processing
- Automated report generation

## Installation

```bash
pip install dart_api_controller
```

## Usage Examples

...

## Configuration

1. Create `.env` file:

```
DART_API_KEY=your-dart-api-key
AWS_ACCESS_KEY_ID=your-aws-access-key
AWS_SECRET_ACCESS_KEY=your-aws-secret-key
```

2. Required Directory Structure:

...

## License

This project is provided under a proprietary license. Only testing and evaluation use is permitted. Commercial use and redistribution are strictly prohibited.

## Contributing

1. Open an issue
2. Submit a Pull Request
3. Code review process
4. Merge changes

## Important Notes

- Please comply with DART API usage limits
- Always manage sensitive information using environment variables
- Be mindful of memory usage when processing large datasets

## Author

**June Young Park**  
AI Management Development Team Lead & Quant Strategist at LIFE Asset Management

LIFE Asset Management is a hedge fund management firm that integrates value investing and engagement strategies with quantitative approaches and financial technology, headquartered in Seoul, South Korea.

### Contact

- Email: juneyoungpaak@gmail.com
- Location: TWO IFC, Yeouido, Seoul
